## libblocksruntime 0.4.1

=== debian/changelog ===
libblocksruntime (0.4.1-1) unstable; urgency=low

  * New upstream release (closes: #698470) 

 -- Mark Heily <mark@heily.com>  Sun, 09 Mar 2014 22:45:13 -0400

libblocksruntime (0.1-1) unstable; urgency=low

  * Initial release from compiler-rt r104787 sources (Closes: #584190)

 -- Mark Heily <mark@heily.com>  Wed, 02 Jun 2010 22:17:11 -0400
